POST
/project/{projectId}/scenarios/{scenarioId}/forecasted-end-date
curl \
--request POST 'https://live.smartpmtech.com/project/{projectId}/scenarios/{scenarioId}/forecasted-end-date' \
--header "X-API-KEY: $API_KEY" \
--header "Content-Type: application/json" \
--header "X-COMPANY-ID: string" \
--data '{
"name": "string",
"isAnd": true,
"type": "Company",
"queries": [
{
"attribute": 42,
"operator": 42,
"value": "string",
"hvalue": "string"
}
],
"subFilters": [
{}
],
"filters": [
{}
]
}'
Request examples
# Headers
X-COMPANY-ID: string
# Payload
{
"name": "string",
"isAnd": true,
"type": "Company",
"queries": [
{
"attribute": 42,
"operator": 42,
"value": "string",
"hvalue": "string"
}
],
"subFilters": [
{}
],
"filters": [
{}
]
}
Response examples (200)
{
"forecastedEndDate": "2026-05-04T09:42:00Z",
"scheduledEndDate": "2026-05-04T09:42:00Z",
"filterId": 42
}